#include<bits/stdc++.h>
using namespace std;
unsigned short n;
int arr[]={};
bool otg[]={};
int main(){
ios_base::sync_with_stdio(false);
 cin.tie(NULL);
cin>>n;
for(int i=0; i<n; i++){

    cin>> arr[i];
    for(int j=1; j<sqrt(arr[i]); j++){
        for(int k=1; k<sqrt(arr[i]); k++){
            if(j*j+k*k==arr[i]&& arr[i]!=2 && arr[i]!=4 &&arr[i]!=9){
                otg[i]=true;

            }
        }
    }
if(otg[i]==true){
        cout<<"1";
    }else{cout<<"0";}
}


    return 0;
}
